{
  "type" : "record",
  "name" : "GmsConsentStatus",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "Consent Status for GMS",
  "fields" : [ {
    "name" : "programmeConsent",
    "type" : {
      "type" : "enum",
      "name" : "GenericConsent",
      "doc" : "clinicalEthnicities supersedes Ancestries in GMS",
      "symbols" : [ "yes", "no", "undefined", "not_applicable" ]
    },
    "doc" : "Is this individual consented to the programme? It could simply be a family member that is not consented\n        but for whom affection status is known"
  }, {
    "name" : "primaryFindingConsent",
    "type" : "GenericConsent",
    "doc" : "Consent for feedback of primary findings?\n        RD: Primary Findings\n        Cancer: PrimaryFindings is somatic + pertinent germline findings"
  }, {
    "name" : "researchConsent",
    "type" : "GenericConsent",
    "doc" : "Research Consent"
  }, {
    "name" : "healthRelatedFindingConsent",
    "type" : "GenericConsent",
    "doc" : "Consent for secondary health related findings?"
  }, {
    "name" : "carrierStatusConsent",
    "type" : "GenericConsent",
    "doc" : "Consent for carrier status check?"
  }, {
    "name" : "pharmacogenomicsFindingConsent",
    "type" : "GenericConsent",
    "doc" : "Consent for pharmacogenomics consent as secondary findings?"
  } ]
}
